Subject: RE: BIRD #61

From: "Mellitz, Richard" <[email-masked]>
Date: Thu, 26 Aug 1999 06:10:41 -0700

Some experiments I've done indicate that even for linear waves the relation
between delay and slew can be non-linear. See the PDF I posted. A table
serves this well. If we are looking at linear waves and linear delay
coefficients,  the table would be very small and arguably not needed.

That's a good point about dynamic thresholds.  My experience suggests, that
for receivers that use hi-speed differential amps and for many CMOS
receivers, the delta V is really small (< 20 mv) . In these cases, the slope
through dynamic threshold seems to be able to predict delay.  My feeling is
that we will start to see more of these types of devices as speed increases
and voltage drops. It's sort of a "natural selection" evolution.

The table may be less accurate if the wave in not linear during the dynamic
switch region.  How inaccurate is the real issue. The table could be used to
categorize classes of waves and thus performance. I admit use of this table
may prove a challenge but y'all are pretty clever.  I believe the goal was
to describe behavior and not tell you how to design a simulator.

I don't think we will be able to model all responses for all receivers with
BIRD #61, but hopefully it will be useful for some large number of devices.
The questions are: "How much do we help? What percentages of cases are
covered? How accurate are we? 

Richard Mellitz
Intel

		-----Original Message-----
		From:	[email-masked]
[mailto:[email-masked]]
		Sent:	Wednesday, August 25, 1999 9:39 PM
		To:	[email-masked]; [email-masked]
		Subject:	RE: BIRD #61

		Richard,

		If the waveform is linear, than the change in delay delta_Td

		as a function of Slew_rate is sufficient to calculate
switching moment,
		provided the 'base delay', Td, is either unimportant or
provided by user.

		If we still consider linear waverorms, than tables for
		delta_Td as function of Start_Point (End_Point,Slew_rate are
constant) and
		delta_Td as function of End_Point (Start_Point,Slew_rate are
constant)
		do not contain much information, just a linear increase (or
decrease)
		in the rising (or falling) time. This effect can be
accounted for
		without any table.

		If the waveform is nonlinear, than dynamic thresholds
dyna_Vinh (2 go to hi)
		and dyna_Vinl (2 go 2 low) would be helpful. They should be
consistent with tables
		in that dyna_Vinh is that voltage in linear rising WF at
which delta_Td=0,
		similarily, dyna_Vinl is such voltage for linear falling WF,
		for which the table gives delta_Td=0.
		Would be valuable to have dyna_Vinh - dyna_Vinl > a few kT/e
.

		Nik

		[email-masked]

		:-) From [email-masked] Tue Aug 24 21:53 PDT 1999
		:-) From: "Mellitz, Richard" <[email-masked]>
		:-) To: "[email-masked]'" <[email-masked]>
		:-) Subject: RE: BIRD #61
		:-) Date: Tue, 24 Aug 1999 21:03:14 -0700
		:-) MIME-Version: 1.0
		:-) 
		:-) The goal is to model behavior. Are the tables sufficient
for some limited
		:-) problem space? 
		:-) 
		:-) Simply put: Can simulator vendors use this data to drive
their algorithms?
		:-) 
		:-) It doesn't, a priori, require the simulator to use a
particular method.
		:-) Regarding a "functional" implementation the question
would be: "Can these
		:-) tables be used to load the function's algorithms?"
Another simulator may
		:-) choose a more direct approach that detects slew rate.
Each will have its
		:-) advantages which allows simulator vendors to
differentiate on.
		:-) 
		:-) To rephrase the question: "Have we provided enough
information for the
		:-) implementation of an acceptable variety of receiver
modeling methodologies?"
		:-) 
		:-) 
		:-) Richard Mellitz
		:-) Intel